# application_configuration.c File Reference

Contains Zigbee Application Configuration methods. More...

`#include "../HAL/hal.h"`
`#include "application_configuration.h"`

## Functions
struct applicationConfiguration | getApplicationConfigurationForCoordinator ()
struct applicationConfiguration | getApplicationConfigurationForRouter ()
void | printApplicationConfiguration (struct applicationConfiguration ac)

## Detailed Description

Contains Zigbee Application Configuration methods.

This is used by both Simple API and AFZDO to configure the ZNP for the particular application. Simple API can register one applicationConfiguration; AFZDO can register multiple applicationConfigurations. Refer to Interface Specification for more information.

See also:
  sapiRegisterApplication()
  afRegisterApplication()
  http://processors.wiki.ti.com/index.php/Tutorial_on_the_Examples and http://e2e.ti.com/support/low_power_rf/default.aspx

Rev
  586

Author
  dsmith

Date
  2010-06-11 10:17:22 -0700 (Fri, 11 Jun 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

struct applicationConfiguration getApplicationConfigurationForCoordinator | ( |  | ) | `[read]`

Creates an application configuration for a Coordinator. Modify the values in this for your application.

Returns:
  the applicationConfiguration for a router

See also:
  applicationConfiguration

struct applicationConfiguration getApplicationConfigurationForRouter | ( |  | ) | `[read]`

Creates an application configuration for a Router. Modify the values in this for your application.

Returns:
  the applicationConfiguration for a router

See also:
  applicationConfiguration

void printApplicationConfiguration | ( | struct applicationConfiguration | ac | ) |

Displays the applicationConfiguration in a human readable format

Parameters:

  | ac | the applicationConfiguration to print

See also:
  applicationConfiguration

All Data Structures Files Functions Variables Defines